# open-data

The freeCodeCamp.org community creates tons of data every month, and we open up as much of that data as we can (while being careful to respect our learners' privacy).

In this repository, you will find:
* **Datasets**
* **Analyses** of those datasets
* **Demos** of projects based on the freeCodeCamp data
* **Links to External Projects** involving the freeCodeCamp data

The data can be of interest to, but not restricted to, those looking for datasets and projects about:
* Web Analytics
* Social Media Analysis
* Social Network Analysis
* Education Analytics
* Data Visualization
* Data-driven Web Development
* Bots

## List of project's folders/submodules:

> **NEW PROJECTS / DATASETS**:
>
> * **medium-fCC-data** : dataset : `fccmediumTitles - Cleaned_Data.tsv`
> * **medium-fCC-data** : dataset : `medium_titles - rawdata.tsv`
> * **google-analytics** : project and dataset : `challenges-performance-estimates`
> * **google-analytics** : dataset : `countries-fCC`

The repo is thought to be organised according to the following:
1. For small/medium datasets, files will be left in the corresponding folder of this repository; optionally the files could be uploaded in any other service of the cloud
2. For small/medium datasets related to featured projects, files will be available on freeCodeCamp repositories as well as Kaggle
3. For big datasets, full files will be available either on academictorrents or in [Kaggle](https://www.kaggle.com/) (*soon*). A small sample of the file will be available in this repository as well as Kaggle for those who want to get introduced to the dataset.  


### Main Projects:

* **new-coder-surveys**
* **open-api**
* **gitter-history**
* **google-analytics**

### Other Projects:

* **city-groups**
* **unofficial-bots**
* **leaderboard**
* **facebook-fCC-data**
* **gitter-analytics**
* **medium-fCC-data**

We hope you can find these data helpful for you in your research and data science projects. 
